stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
stdex::aggregate_progress< T >::worker_progress Class Reference

Progress indicator for individual worker. More...

`#include <stdex/progress.hpp>`

Inheritance diagram for stdex::aggregate_progress< T >::worker_progress:

## Public Member Functions
| worker_progress (aggregate_progress< T > &host)
virtual void | set_text (const char *msg)
| Set progress indicator text.
virtual void | set_range (T start, T end)
| Set local extend of the progress indicator.
virtual void | set (T value)
| Set local current progress.
virtual void | show (bool show=true)
| Show or hide progress.
virtual bool | cancel ()
| Query whether user requested abort.
Public Member Functions inherited from stdex::progress< T >

## Protected Attributes
aggregate_progress< T > & | m_host
T | m_start
T | m_end
T | m_value

## Detailed Description

template<class T>
class stdex::aggregate_progress< T >::worker_progress

Progress indicator for individual worker.

## Member Function Documentation

## ◆ cancel()

template<class T >

virtual bool stdex::aggregate_progress< T >::worker_progress::cancel | ( |  | ) |
| inline virtual

Query whether user requested abort.

Reimplemented from stdex::progress< T >.

## ◆ set()

template<class T >

virtual void stdex::aggregate_progress< T >::worker_progress::set | ( | T | value | ) |
| inline virtual

Set local current progress.

Parameters

  [in] | value | Current value of the progress. Must be between start and end parameters provided in set_range() call.

Reimplemented from stdex::progress< T >.

## ◆ set_range()

template<class T >

virtual void stdex::aggregate_progress< T >::worker_progress::set_range | ( | T | start,
|  | T | end )
| inline virtual

Set local extend of the progress indicator.

Parameters

  [in] | start | Minimum value of the progress
  [in] | end | Maximum value of the progress

Reimplemented from stdex::progress< T >.

## ◆ set_text()

template<class T >

virtual void stdex::aggregate_progress< T >::worker_progress::set_text | ( | const char * | msg | ) |
| inline virtual

Set progress indicator text.

Parameters

  [in] | msg | Text to display

Reimplemented from stdex::progress< T >.

## ◆ show()

template<class T >

virtual void stdex::aggregate_progress< T >::worker_progress::show | ( | bool | show = true | ) |
| inline virtual

Show or hide progress.

Parameters

  [in] | show | Shows or hides progress indicator

Reimplemented from stdex::progress< T >.

The documentation for this class was generated from the following file:

- include/stdex/progress.hpp